> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/brand-standards/{id}/category-guidance
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/brand-standards/{id}/category-guidance:
    patch:
      tags:
        - Brand Standard Instructions
      summary: Replace
      operationId: BrandStandardInstructionsController_replace_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandStandardInstructionsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryGuidanceResponseDto'
components:
  schemas:
    BrandStandardInstructionsDto:
      type: object
      properties:
        instructions:
          uniqueItems: true
          maxItems: 20
          type: array
          items:
            $ref: '#/components/schemas/BrandStandardInstructionDto'
        version:
          type: number
          minimum: 1
      required:
        - instructions
        - version
    CategoryGuidanceResponseDto:
      type: object
      properties:
        ownedInstructions:
          type: array
          items:
            $ref: '#/components/schemas/NativeInstructionResponseDto'
        ownerVersion:
          type: number
        linkedInstructions:
          type: array
          items:
            $ref: '#/components/schemas/LinkedInstructionResponseDto'
        revision:
          type: number
        classification:
          type: object
          properties:
            categoryId:
              type: string
            productTypeId:
              type: string
              nullable: true
          required:
            - categoryId
            - productTypeId
        instructions:
          type: array
          items:
            $ref: '#/components/schemas/ResolvedCategoryGuidanceGroupDto'
        requirements:
          type: array
          items:
            $ref: '#/components/schemas/ResolvedCategoryGuidanceGroupDto'
        furnishedInstalledBy:
          type: object
          properties:
            value:
              type: string
              nullable: true
              enum:
                - OFCI
                - OFOI
                - CFCI
                - CFOI
            origin:
              enum:
                - none
                - item-override
                - category-default
              type: string
          required:
            - value
            - origin
      required:
        - revision
        - classification
        - instructions
        - requirements
        - furnishedInstalledBy
    BrandStandardInstructionDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        text:
          type: string
          minLength: 1
          maxLength: 1000
        assigneeRoleGroupIds:
          type: array
          uniqueItems: true
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
      required:
        - id
        - text
        - assigneeRoleGroupIds
    NativeInstructionResponseDto:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
      required:
        - id
        - text
        - assigneeRoleGroupIds
    LinkedInstructionResponseDto:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        key:
          type: string
        source:
          $ref: '#/components/schemas/InstructionSourceResponseDto'
        disabled:
          type: boolean
      required:
        - id
        - text
        - assigneeRoleGroupIds
        - key
        - source
        - disabled
    ResolvedCategoryGuidanceGroupDto:
      type: object
      properties:
        groupId:
          type: string
        groupLineageId:
          type: string
        groupLabel:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ResolvedCategoryGuidanceItemDto'
      required:
        - groupId
        - groupLineageId
        - groupLabel
        - items
    InstructionSourceResponseDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - collection
            - template
            - catalog
        id:
          type: string
        name:
          type: string
        version:
          type: number
        collectionId:
          type: string
        collectionVersion:
          type: number
      required:
        - kind
        - id
        - name
        - version
    ResolvedCategoryGuidanceItemDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        position:
          type: number
        origin:
          type: string
          enum:
            - category
            - entry
            - item-disabled
      required:
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - origin

````